/*
 *  This source is originated from W3C DOM draft
 *     http://www.w3.org/TR/WD-DOM/level-one-xml-971209.html
 *
 *  Copyright (C) 1997 W3C (MIT, INRIA, Keio).
 */

package org.w3c.dom;

public interface ModelGroup extends Node {
  
  public final class ConnectionType {
    public final int OR =  0;  // |
    public final int SEQ = 1;  // ,
    public final int AND = 2;
  };

  // The ints for the following two methods should
  // be constants defined in the ConnectionType class.

  void setConnector(int connector);
  int getConnector();

  // The ints for the two methods below should be
  // constants defined in the OccurrenceType class.

  void setOccurrence(int occurrence);
  int getOccurrence();

  void setTokens(NodeList tokens);
  NodeList getTokens();

};
